Name:           prrte
Version:        2.0.0
Release:        1%{?dist}
Summary:        PMIx Reference RunTime Environment (PRRTE)
License:        BSD
URL:            https://github.com/openpmix/%{name}
Source0:        https://github.com/openpmix/%{name}/releases/download/v%{version}/prte-%{version}.tar.bz2

BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  pmix-devel >= 4.1.0
BuildRequires:  pandoc
BuildRequires:  perl-interpreter

%description
PRRTE is the PMIx Reference Run Time Environment.

The project is formally referred to in documentation by "PRRTE", and
the GitHub repository is "openpmix/%{name}".

However, we have found that most users do not like typing the two
consecutive "r"s in the name. Hence, all of the internal API symbols,
environment variables, MCA frameworks, and CLI executables all use the
abbreviated "prte" (one "r", not two) for convenience.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n prte-%{version}

# touch lexer sources to recompile them
find src -name \*.l -print -exec touch --no-create {} \;

%build
%configure \
    --sysconfdir=%{_sysconfdir}/prte \
    --disable-static \
    --disable-silent-rules \
    --enable-shared

%make_build

%check
%make_build check

%install
%make_install

# remove libtool archives
find %{buildroot} -name '*.la' | xargs rm -f

%files
%license LICENSE
%doc README
%dir %{_sysconfdir}/prte
%config(noreplace) %{_sysconfdir}/prte/prte-*
%{_bindir}/*
%{_datadir}/prte/
%{_libdir}/lib%{name}.so.2*
%{_mandir}/man1/*.1*
%{_mandir}/man7/*.7*

%files devel
%{_includedir}/prte*.h
%{_libdir}/lib%{name}.so

%changelog
* Mon Oct 11 2021 Orion Poplawski <orion@nwra.com> - 2.0.0-1
- Initial Fedora package
